Gönderen Konu: [Çözüldü] AUR' dan "gmp4" derleme sorunu  (Okunma sayısı 2334 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı xspacex

  • Yeni Üye
  • *
  • İleti: 35
  • Teşekkür: +0/-0
[Çözüldü] AUR' dan "gmp4" derleme sorunu
« : 18 Haziran 2013, 13:38:07 »
Herkese iyi günler...
AUR' dan "peazip-gtk2" https://aur.archlinux.org/packages/peazip-gtk2/ paketini kuracağım.
Ama;
Bağımlılıklardan olan "gmp4" https://aur.archlinux.org/packages/gmp4/?setlang=tr paketini derleyemiyorum. Hata veriyor.
Sistemim: Manjaro XFCE 32-bit (sistemimdeki tüm paketler güncel.)

Derlemeye başlangıç çıktısı şu şekilde;
Kod: [Seç]
[[email protected] gmp4]$ su
Parola:
[[email protected] gmp4]# makepkg -csi --asroot
==> gmp4 4.3.2-1 (Sal Haz 18 12:48:49 EEST 2013) paketi oluşturuluyor
==> UYARI: PKGBUILD özelliğini package() fonksiyonu olmadan kullanmak onaylanmıyor.
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynaklar getiriliyor...
  -> gmp-4.3.2.tar.bz2 indiriliyor...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1853k  100 1853k    0     0   218k      0  0:00:08  0:00:08 --:--:--  410k
==> Kaynak dosyaları md5sums ile doğrulanıyor...
    gmp-4.3.2.tar.bz2 ... Doğrulandı
==> Kaynaklar açılıyor...
  -> gmp-4.3.2.tar.bz2 ile bsdtar açılıyor
==> build() işlemine başlanıyor...
Derleme bitişi aynı zamanda hata çıktısı şu şekilde;
Kod: [Seç]
====================================
1 of 58 tests failed
Please report to [email protected]
====================================
make[4]: *** [check-TESTS] Hata 1
make[4]: `/home/xspacex/Manjaro/gmp4/src/gmp-4.3.2/tests/mpz' dizininden çıkılıyor
make[3]: *** [check-am] Hata 2
make[3]: `/home/xspacex/Manjaro/gmp4/src/gmp-4.3.2/tests/mpz' dizininden çıkılıyor
make[2]: *** [check-recursive] Hata 1
make[2]: `/home/xspacex/Manjaro/gmp4/src/gmp-4.3.2/tests' dizininden çıkılıyor
make[1]: *** [check-recursive] Hata 1
make[1]: `/home/xspacex/Manjaro/gmp4/src/gmp-4.3.2' dizininden çıkılıyor
make: *** [check] Hata 2
==> HATA: build() içinde bir hata oluştu.
    Çıkılıyor...
Hata nerede? PKGBUILD bilgim yetersiz olduğundan düzenlemede yapamıyorum. İlgilenen herkese teşekkürler...

Çevrimdışı decent

  • Gelişmiş Üye
  • *****
  • İleti: 829
  • Teşekkür: +12/-0
  • Dağıtım / Distribution: ArchLinux
  • Sürüm / Release: *
  • Ekran Kartı - Graphic Card: NVIDIA
  • Ekr. Kartı Sür. Graph.Dri: Sahipli yazılım
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #1 : 18 Haziran 2013, 13:40:54 »
Derleme için gerekli paketler yüklenmiş durumda mı ?

Kod: [Seç]
sudo pacman -S base-devel --needed

Çevrimdışı xspacex

  • Yeni Üye
  • *
  • İleti: 35
  • Teşekkür: +0/-0
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #2 : 18 Haziran 2013, 13:42:58 »
Evet hepsi kurulu
Kod: [Seç]
[[email protected] gmp4]# sudo pacman -S base-devel --needed
:: 25 adet üye base-devel grubunda yer alıyor:
:: Depo core
   1) autoconf  2) automake  3) binutils  4) bison  5) fakeroot  6) file
   7) findutils  8) flex  9) gawk  10) gcc  11) gettext  12) grep  13) groff
   14) gzip  15) libtool  16) m4  17) make  18) pacman  19) patch
   20) pkg-config  21) sed  22) sudo  23) texinfo  24) util-linux  25) which

Bir seçim girin (öntanımlı=hepsi):
uyarı: autoconf-2.69-1 güncel -- atlanıyor
uyarı: automake-1.13.2-1 güncel -- atlanıyor
uyarı: binutils-2.23.2-2 güncel -- atlanıyor
uyarı: bison-2.7.1-1 güncel -- atlanıyor
uyarı: fakeroot-1.19-1 güncel -- atlanıyor
uyarı: file-5.14-1 güncel -- atlanıyor
uyarı: findutils-4.4.2-5 güncel -- atlanıyor
uyarı: flex-2.5.37-1 güncel -- atlanıyor
uyarı: gawk-4.1.0-1 güncel -- atlanıyor
uyarı: gcc-4.8.1-1 güncel -- atlanıyor
uyarı: gettext-0.18.2.1-1 güncel -- atlanıyor
uyarı: grep-2.14-2 güncel -- atlanıyor
uyarı: groff-1.22.2-3 güncel -- atlanıyor
uyarı: gzip-1.5-3 güncel -- atlanıyor
uyarı: libtool-2.4.2-9 güncel -- atlanıyor
uyarı: m4-1.4.16-3 güncel -- atlanıyor
uyarı: make-3.82-5 güncel -- atlanıyor
uyarı: pacman-4.1.1-1 güncel -- atlanıyor
uyarı: patch-2.7.1-2 güncel -- atlanıyor
uyarı: pkg-config-0.28-1 güncel -- atlanıyor
uyarı: sed-4.2.2-3 güncel -- atlanıyor
uyarı: sudo-1.8.6.p8-2 güncel -- atlanıyor
uyarı: texinfo-5.1-1 güncel -- atlanıyor
uyarı: util-linux-2.23.1-2 güncel -- atlanıyor
uyarı: which-2.20-6 güncel -- atlanıyor
 yapılacak bir şey yok

Çevrimdışı decent

  • Gelişmiş Üye
  • *****
  • İleti: 829
  • Teşekkür: +12/-0
  • Dağıtım / Distribution: ArchLinux
  • Sürüm / Release: *
  • Ekran Kartı - Graphic Card: NVIDIA
  • Ekr. Kartı Sür. Graph.Dri: Sahipli yazılım
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #3 : 18 Haziran 2013, 13:53:14 »
Hata aldığın bağımlılığı PKGBUILD dosyasından çıkartarak tekrar deneyebilirsin.

Çevrimdışı xspacex

  • Yeni Üye
  • *
  • İleti: 35
  • Teşekkür: +0/-0
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #4 : 18 Haziran 2013, 14:15:28 »
Çok teşekkür ederim dediğiniz gibi "gmp4" ü bağımlılıktan çıkarınca sorunsuz kurdum.
Kod: [Seç]
[[email protected] peazip-gtk2]$ su
Parola:
[[email protected] peazip-gtk2]# makepkg -csi --asroot
==> peazip-gtk2 4.9.2-2 (Sal Haz 18 14:06:36 EEST 2013) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynaklar getiriliyor...
  -> peazip-gtk2-4.9.2.tgz indiriliyor...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 9502k  100 9502k    0     0   440k      0  0:00:21  0:00:21 --:--:--  379k
  -> peazip.desktop bulundu
==> Kaynak dosyaları sha256sums ile doğrulanıyor...
    peazip-gtk2-4.9.2.tgz ... Doğrulandı
    peazip.desktop ... Doğrulandı
==> Kaynak dosyaları sha512sums ile doğrulanıyor...
    peazip-gtk2-4.9.2.tgz ... Doğrulandı
    peazip.desktop ... Doğrulandı
==> Kaynaklar açılıyor...
==> package() işlemine başlanıyor...
==> Kurulum düzenleniyor...
  -> İstenmeyen dosyalar kaldırılıyor...
  -> Kılavuz ve bilgi sayfaları sıkıştırılıyor...
  -> İkilik dosyalardan ve kütüphanelerden gereksiz ayıklama sembolleri ayıklanıyor...
==> "peazip-gtk2" paketi oluşturuluyor...
  -> .PKGINFO dosyası üretiliyor...
  -> install dosyası ekleniyor...
  -> .MTREE dosyası oluşturuluyor...
  -> Paket sıkıştırılıyor...
==> peazip-gtk2 4.9.2-2 (Sal Haz 18 14:08:18 EEST 2013) paketinin derlenmesi tamamlandı
==> peazip-gtk2 paketi pacman -U ile kuruluyor ...
paketler yükleniyor...
paket bağımlılıkları çözümleniyor...
varsa paketler arası çakışmalara bakılıyor...

Paketler (1): peazip-gtk2-4.9.2-2

Toplam Kurulum Boyutu:   20,73 MiB

:: Kuruluma onay veriyor musunuz? [E/h] e
(1/1) anahtarlıktaki anahtarlar kontrol ediliyor   [######################] 100%
(1/1) paket bütünlüğü kontrol ediliyor             [######################] 100%
(1/1) paket dosyaları yükleniyor                   [######################] 100%
(1/1) dosya çakışmaları kontrol ediliyor           [######################] 100%
(1/1) disk alanı kontrol ediliyor                  [######################] 100%
(1/1) yükleniyor peazip-gtk2                       [######################] 100%
==> Temizleniyor...
[[email protected] peazip-gtk2]#
Sorun "lib32-gmp4" paketinin 32 bit için bağımlılık oluşturmamasından kaynaklıymış ama yinede PKGBUILD dosyasına bağımlılık olarak eklendiği için "gmp4" paketinide istiyormuş "lib32-gmp4" paketini bağımlılıktan çıkarınca oldu. bir kez daha Çok teşekkür ederim...

Çevrimdışı xspacex

  • Yeni Üye
  • *
  • İleti: 35
  • Teşekkür: +0/-0
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #5 : 18 Haziran 2013, 14:17:10 »
Ama yinede anlayamadığım "gmp4" paketini niye derleyemedim acaba...

Çevrimdışı cumali

  • Gelişmiş Üye
  • *****
  • İleti: 1785
  • Teşekkür: +2/-0
  • Dağıtım / Distribution: Manjaro Linux
  • Masaüstü / Desktop Environment: Openbox
  • Ekran Kartı - Graphic Card: INTEL
  • Ekr. Kartı Sür. Graph.Dri: Sahipli yazılım
Re: AUR' dan "gmp4" derleme sorunu
« Yanıtla #6 : 18 Haziran 2013, 14:41:09 »
@xspacex,sorunu çözmüş olmanıza sevindim. Ancak çıktıda dikkatimi çeken bir şey var. O da root olarak Aurdan paket kurmanız. Aurdan paket kurarken yönetici haklarını kullanmayınız. Verilmesi gereken komut
Kod: [Seç]
$ yaourt -S makepkg -csi --asroot
şeklinde olmalıydı.

Çevrimdışı xspacex

  • Yeni Üye
  • *
  • İleti: 35
  • Teşekkür: +0/-0
Re: [Çözüldü] AUR' dan "gmp4" derleme sorunu
« Yanıtla #7 : 18 Haziran 2013, 15:16:33 »
Sağolun bundan sonra o şekilde kurarım...  :)